#
# spec file for package sk1
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sk1
Version:        2.0~rc2
Release:        lp152.4.7
Summary:        Python-Based Vector Drawing Program
License:        GPL-2.0 AND LGPL-2.0+
Group:          Productivity/Graphics/Vector Editors
Url:            http://sk1project.net/
Source:         http://sk1project.net/dc3.php?version=2.0rc2&target=sk1-2.0rc2.tar.gz#/%{name}-2.0rc2.tar.gz
# should go upstream, but
# (1) it is not complete. Source file
#     includes wand/MagickWand.h but it should include
#     MagickWand/MagickWand.h instead for ImageMagick 7
# (2) it is ok to change *Matte* to *Alpha* in magickwand.py
#     unconditionally?
Patch0:         sk1-ImageMagick7.patch
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(MagickWand)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(py3cairo)
BuildRequires:  pkgconfig(pycairo)
BuildRequires:  pkgconfig(python-2.7)
Requires:       python-wxGTK
Requires:       python2-Pillow
Requires:       python2-cairo
Requires:       python2-pycups
Requires:       python2-reportlab
Provides:       skencil = %{version}
Obsoletes:      skencil < %{version}
Provides:       sketch = %{version}
Obsoletes:      sketch < %{version}

%description
The program sK1 is an open source vector graphics editor similar to
CorelDRAW, Adobe Illustrator, or Freehand. First of all sK1 is oriented
for PostScript processing. It features CMYK colorspace support, CMYK
support in Postscript, a Cairo-based engine, color managment, universal
CDR importer (7-X3 versions), and a modern Ttk based (former Tile
widgets) user interface.

%prep
%setup -q -n %{name}-2.0rc2
%patch0 -p1

# Use the path defined by %%py_sitedir
sed -i '/install_path/s|\/.*\(\/\)|%{py_sitedir}\1|' setup-sk1.py

%build
export CFLAGS="%{optflags}"
python setup-sk1.py build

%install
python setup-sk1.py install --root=%{buildroot}
%suse_update_desktop_file -r %{name} Graphics VectorGraphics
%fdupes -s %{buildroot}%{py_sitedir}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%doc LICENSE
%{_bindir}/%{name}
%{py_sitedir}/%{name}-wx-2.0rc2/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.???

%changelog
* Fri Nov  3 2017 mpluskal@suse.com
- Explicitly depend on python2 packages
- Use python2-pillow instead of pythin-imaging
- Do not run py_requires as it is not needed anymore
* Mon Mar 27 2017 pgajdos@suse.com
- add ImageMagick7 support for us
  + sk1-ImageMagick7.patch
* Fri Feb 17 2017 dimstar@opensuse.org
- Drop pkgconfig(lcms) BuildRequires: sk1 has been ported to lcms2
  long ago, and this is already BuildRequires.
* Wed Nov 30 2016 avvissu@yandex.by
- Update to 2.0rc2
- Drop files (fixed in upstream):
  * sk1-dialog_open.diff
  * sk1-svg_crash.diff
  * sk1.desktop
- Create a new spec file for building RPM
* Sat Feb  6 2016 astieger@suse.com
- require python-imaging-tk, e.g. from python-Pillow-tk, boo#960401
* Thu Aug  1 2013 max@suse.com
- Allow building against Tcl/Tk 8.6.
* Wed Mar  6 2013 idonmez@suse.com
- Add license files as %%doc
* Sat Mar  2 2013 coolo@suse.com
- update license to new format
* Wed Nov 24 2010 ro@suse.de
- xft-config is gone
* Tue May 25 2010 llunak@novell.com
- use proper mimetype name in .desktop file
* Thu May 13 2010 mseben@novell.com
- added svg_crash.diff to fix crash, while importing svg image (bnc#555676)
- added dialog_open.diff to fix dialogue opened in backround (bnc#555677)
* Wed Aug 19 2009 beineri@opensuse.org
- add an already translated GenericName to .desktop file
* Wed Aug  5 2009 mseben@suse.cz
- updated to 0.9.1pre_rev730 (changelog not available)
- deprecated sk1-font_sys.patch
- added liblcms-devel to build requires
* Wed Sep 10 2008 ro@suse.de
- fix build
* Thu Aug 21 2008 lmichnovic@suse.cz
- fix for python compatibility on 64bit arch (*python_fix.patch)
- using fdupes
* Wed Aug 20 2008 lmichnovic@suse.cz
- initial version 0.9.0 svn revision 498
- BuildRequires: tk-devel >= 8.5
- needed explicit Requires: python-lcms python-imaging
- added mandriva patch sk1-font_sys.patch
